[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# HourOf

Extract the hour part from a TDateTime value.

## Declaration

Source position: dateutil.inc line 138

`function HourOf(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Date/time value to extract hour from.

## Function result

Hour part of AValue.

## Description

HourOf returns the hour of the day part of the AValue date/time indication. It is a number between 0 and 23.

For an example, see YearOf

## See also

YearOf |  | Extract the year from a given date.
WeekOf |  | Extract week (of the year) from a given date.
MonthOf |  | Extract the month from a given date.
DayOf |  | Extract the day (of month) part from a TDateTime value
MinuteOf |  | Extract the minute part from a TDateTime value.
SecondOf |  | Extract the second part from a TDateTime value.
MilliSecondOf |  | Extract the millisecond part from a TDateTime value.